scrub-obsolete Package - klibc

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/klibc scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index fb17315c..f423f20c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+klibc (2.0.8-5) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since stretch:
+    + klibc-utils: Drop versioned constraint on initramfs-tools in Breaks.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Mon, 15 Mar 2021 12:00:40 -0000
+
 klibc (2.0.8-4) experimental; urgency=medium
 
   * signal: Note another reason to define _KLIBC_NEEDS_SA_RESTORER
diff --git a/debian/control b/debian/control
index fdcedbb9..f020e908 100644
--- a/debian/control
+++ b/debian/control
@@ -36,7 +36,6 @@ Package: klibc-utils
 Architecture: linux-any
 Multi-Arch: foreign
 Depends: libklibc (= ${binary:Version}), ${misc:Depends}
-Breaks: initramfs-tools (<< 0.123~)
 Description: small utilities built with klibc for early boot
  This package contains a collection of programs that are linked
  against klibc. These duplicate some of the functionality of a

Run locally

Try this locally (using the lintian-brush package):

debcheckout klibc
cd klibc
deb-scrub-obsolete

More details

Full run details